Subject: [os2genau_digest] No. 524
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 16 Jan 2003 00:02:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 15 January 2003
 Number  524
**************************************************

Subjects for today
 
1  [os2genau] Java 1.3 Toolkit : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re: [os2genau] Java 1.3 Toolkit : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re: [os2genau] Java 1.3 Toolkit : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
4  Re: [os2genau] Java 1.3 Toolkit : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re: [os2genau] Java 1.3 Toolkit : Mike O'Connor" <mikeoc at dodo dot com dot au>
6  Re: [os2genau] Java 1.3 Toolkit : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
7  Re: [os2genau] Java 1.3 Toolkit : Mike O'Connor" <mikeoc at dodo dot com dot au>
8  Re: [os2genau] Java 1.3 Toolkit : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
9  Re: [os2genau] Java 1.3 Toolkit : Mike O'Connor" <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 15 Jan 2003 20:09:31 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] Java 1.3 Toolkit

Does anyone have any idea as to why I can install Java 1.3 RT and then the
Java 1.3 samples and remote debugger and NOT the toolkit?

I can not get a CID install to work (it does nothing).

In the FI screen under netscape, the Toolkit check box is not allowed to
be selected.

Any suggestions?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 15 Jan 2003 20:19:35 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

I have seen this problem before, but I can't remember what caused
it, I think it was something to do with the installation of feature
installer in Netscape 4.61.

Have you tried re-installing the latest version of feature installer
?

Cheers/2

Ed.

"Chris Graham [WarpSpeed]" wrote:
> 
> Does anyone have any idea as to why I can install Java 1.3 RT and then the
> Java 1.3 samples and remote debugger and NOT the toolkit?
> 
> I can not get a CID install to work (it does nothing).
> 
> In the FI screen under netscape, the Toolkit check box is not allowed to
> be selected.
> 
> Any suggestions?
> 
> -Chris
> 
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>                                       http://www.warpspeed dot com dot au
> 

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 15 Jan 2003 20:26:35 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

On Wed, 15 Jan 2003 20:19:35 +1100, Ed Durrant wrote:

The last time I could not install _ANY_ of Java 1.3 using it. This time I
can install all portions of Java 1.3 EXCEPT the toolkit.
So, unless it is an error specific to the toolkit section...

No, I've not reinstalled it. But the last time I checked I was running the
latest 1.25.

-Chris

>I have seen this problem before, but I can't remember what caused
>it, I think it was something to do with the installation of feature
>installer in Netscape 4.61.
>
>Have you tried re-installing the latest version of feature installer
>?
>
>
>Cheers/2
>
>Ed.
>
>"Chris Graham [WarpSpeed]" wrote:
>> 
>> Does anyone have any idea as to why I can install Java 1.3 RT and then the
>> Java 1.3 samples and remote debugger and NOT the toolkit?
>> 
>> I can not get a CID install to work (it does nothing).
>> 
>> In the FI screen under netscape, the Toolkit check box is not allowed to
>> be selected.
>> 
>> Any suggestions?
>> 
>> -Chris
>> 
>> WarpSpeed Computers - The Graham Utilities for OS/2.
>> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>>                                       http://www.warpspeed dot com dot au
>> 
>
>>  
>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 15 Jan 2003 20:40:35 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

I'd still try a re-install of FI.

Another point - did I understand correctly that the last time you
tried to install, it failed ??  If so check for and remove
logf000*.* and logstart.os2 in \os2\install if they're present.
Actually these are the files for OS fixpack upgrades, so the name
could be different for the Java code install.

Cheers/2

Ed.

"Chris Graham [WarpSpeed]" wrote:
> 
> On Wed, 15 Jan 2003 20:19:35 +1100, Ed Durrant wrote:
> 
> The last time I could not install _ANY_ of Java 1.3 using it. This time I
> can install all portions of Java 1.3 EXCEPT the toolkit.
> So, unless it is an error specific to the toolkit section...
> 
> No, I've not reinstalled it. But the last time I checked I was running the
> latest 1.25.
> 
> -Chris
> 
> >I have seen this problem before, but I can't remember what caused
> >it, I think it was something to do with the installation of feature
> >installer in Netscape 4.61.
> >
> >Have you tried re-installing the latest version of feature installer
> >?
> >
> >
> >Cheers/2
> >
> >Ed.
> >
> >"Chris Graham [WarpSpeed]" wrote:
> >>
> >> Does anyone have any idea as to why I can install Java 1.3 RT and then the
> >> Java 1.3 samples and remote debugger and NOT the toolkit?
> >>
> >> I can not get a CID install to work (it does nothing).
> >>
> >> In the FI screen under netscape, the Toolkit check box is not allowed to
> >> be selected.
> >>
> >> Any suggestions?
> >>
> >> -Chris
> >>
> >> WarpSpeed Computers - The Graham Utilities for OS/2.
> >> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> >> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> >> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> >> 300-28,800  N,8,1 ANSI   Australia    Web Page:
> >>                                       http://www.warpspeed dot com dot au
> >>
> >
> >>  
> >

> > 

> >
> 
> -Chris
> 
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>                                       http://www.warpspeed dot com dot au
> 

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 15 Jan 2003 20:41:30 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

Chris Graham [WarpSpeed] wrote:

>Does anyone have any idea as to why I can install Java 1.3 RT and then the
>Java 1.3 samples and remote debugger and NOT the toolkit?
>
>I can not get a CID install to work (it does nothing).
>
>In the FI screen under netscape, the Toolkit check box is not allowed to
>be selected.
>
>Any suggestions?
>
>  
>
Hi Chris,
You need to extract both of the executables in the same directory with 
the -o -d switches.

Here are Robin Klitscher's instructions:

I've just put the following up on support.misc, but repeat it here.
It might help - or not!  But here it is anyway:

Not sure why you have the problem, but you could consider this.  Bypass
the desktop install method(s) and go for the jugular by trying the CID
method. It still uses FI, I believe, but does not invoke Netscape
(though Netscape must not be running).  I've done it this way several
times, for Java13 and its later re-issues, and now Java131, in MCP and
in eCS. Never failed yet - except that, if you're using 4os2, it's
probably better to revert to the standard command environment first.

Copy javainrt.exe (and javaintk.exe if you want the toolkit) into a
directory of your choice and run it to expand (or, if you want the
toolkit as well, expand each in turn in the same directory but with the
switch javainxx -o, as documented).  Among the results you should then
have a cid.cmd and a cid.rsp file in the top directory concerned.
These are samples. 

You'll need to modify both of them for your own environment and
intentions. Mine are shown below.  They install both the runtime and
the toolkit to the boot drive.  Language US English.  The Netscape and
IBM Browser plugins are inserted (both reside on the boot drive).
Java13 is prevented from becoming the default Java.  H: is the boot
drive. J:\J13\ is the directory I expanded the packages into and am
installing from. J:\SWC\ is where I want the two logfiles to go; and
they're re-named from the default to identify them from others.

If the following incantations look a bit cryptic as they stand, there's
further guidance and explanation in INSCONG.HTM - look in the
appropriate ...\language\ subdirectory where you expanded everything. 

My cid.cmd reads (all in one line):

clifi /a:c /r2:j:\j13\cid.rsp /r:j:\j13\en\java13.rsp /b:h:
/s:j:\j13\en /l1:j:\swc\ciderr13h.log /l2:j:\swc\cidhist13h.log

and the top-directory response file cid.rsp reads:

# Please refer to the CID section in INSCONG.HTM for important
# information about unattended installation.
Java13.Continue=UNATTENDED
Java13.LicenseAgree=AGREE
JV13Runtime.Selection=1
JV13RuntimeConfig.Selection=1
JV13RuntimeUrls.Selection=1
JV13NSFiles.Selection=1
JV13MZFiles.Selection=1
Java13.RUNDRV=H:
JV13DefaultJVM.Selection=0

JV13Samples.Selection=1
JV13SamplesConfig.Selection=1
JV13SamplesUrls.Selection=1
JV13Samples.SMPDRV=H:

JV13Toolkit.Selection=1
JV13ToolkitConfig.Selection=1

JV13Debugger.Selection=1
JV13DebuggerUrls.Selection=1
JV13Debugger.DBGDRV=H:

Then just run the modified cid.cmd from that directory and sit back and
wait. It'll pick up the modified response file cid.rsp.  You won't see
much happening, but it should happen. All care and no responsibility of
course!  I'm far from expert; I just got fed up some time back with the
shenanigans of GUI installs via FI and Netscape for Java (and TCP/IP),
and so felt my way blindly through this. It wasn't necessary to touch
the second response file referenced in cid.cmd (...\<lang>\java13.rsp);
I wouldn't have dared anyway.  To my astonishment and delight, it all
worked.

-- Robin Klitscher Wellington ("Harbour City") NZ

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 15 Jan 2003 21:53:35 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

On Wed, 15 Jan 2003 20:40:35 +1100, Ed Durrant wrote:

>I'd still try a re-install of FI.
>
>Another point - did I understand correctly that the last time you
>tried to install, it failed ??  If so check for and remove

Correct.

>logf000*.* and logstart.os2 in \os2\install if they're present.
>Actually these are the files for OS fixpack upgrades, so the name
>could be different for the Java code install.
>
>Cheers/2
>
>Ed.
>
>"Chris Graham [WarpSpeed]" wrote:
>> 
>> On Wed, 15 Jan 2003 20:19:35 +1100, Ed Durrant wrote:
>> 
>> The last time I could not install _ANY_ of Java 1.3 using it. This time I
>> can install all portions of Java 1.3 EXCEPT the toolkit.
>> So, unless it is an error specific to the toolkit section...
>> 
>> No, I've not reinstalled it. But the last time I checked I was running the
>> latest 1.25.
>> 
>> -Chris
>> 
>> >I have seen this problem before, but I can't remember what caused
>> >it, I think it was something to do with the installation of feature
>> >installer in Netscape 4.61.
>> >
>> >Have you tried re-installing the latest version of feature installer
>> >?
>> >
>> >
>> >Cheers/2
>> >
>> >Ed.
>> >
>> >"Chris Graham [WarpSpeed]" wrote:
>> >>
>> >> Does anyone have any idea as to why I can install Java 1.3 RT and then the
>> >> Java 1.3 samples and remote debugger and NOT the toolkit?
>> >>
>> >> I can not get a CID install to work (it does nothing).
>> >>
>> >> In the FI screen under netscape, the Toolkit check box is not allowed to
>> >> be selected.
>> >>
>> >> Any suggestions?
>> >>
>> >> -Chris
>> >>
>> >> WarpSpeed Computers - The Graham Utilities for OS/2.
>> >> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>> >> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>> >> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>> >> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>> >>                                       http://www.warpspeed dot com dot au
>> >>
>> >
>> >>  
>> >
>
>> > 
>
>> >
>> 
>> -Chris
>> 
>> WarpSpeed Computers - The Graham Utilities for OS/2.
>> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>>                                       http://www.warpspeed dot com dot au
>> 
>
>>  
>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 15 Jan 2003 21:06:30 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

Chris Graham [WarpSpeed] wrote:

>On Wed, 15 Jan 2003 20:40:35 +1100, Ed Durrant wrote:
>
>  
>
>>I'd still try a re-install of FI.
>>
Don't bother with FI - not needed with CID

>>
>>Another point - did I understand correctly that the last time you
>>tried to install, it failed ??  If so check for and remove
>>    
>>
>
>Correct.
>
>  
>
>>logf000*.* and logstart.os2 in \os2\install if they're present.
>>Actually these are the files for OS fixpack upgrades, so the name
>>could be different for the Java code install.
>>
>>Cheers/2
>>
>>Ed.
>>
>>"Chris Graham [WarpSpeed]" wrote:
>>    
>>
>>>On Wed, 15 Jan 2003 20:19:35 +1100, Ed Durrant wrote:
>>>
>>>The last time I could not install _ANY_ of Java 1.3 using it. This time I
>>>can install all portions of Java 1.3 EXCEPT the toolkit.
>>>So, unless it is an error specific to the toolkit section...
>>>
>>>No, I've not reinstalled it. But the last time I checked I was running the
>>>latest 1.25.
>>>
>>>-Chris
>>>      
>>>
Hi Chris,
I had exactly the same situation as you until I did the CID install 
following Robin Klitscher's instructions.
See my previous posting.
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 15 Jan 2003 22:09:48 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

>You need to extract both of the executables in the same directory with 
>the -o -d switches.

That was the missing piece of information!

All done. The netscape based install worked fine. Because it did, I didn't
try the CID install.

Thanks to all for the help.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Wed, 15 Jan 2003 21:20:01 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  Re: [os2genau] Java 1.3 Toolkit

Chris Graham [WarpSpeed] wrote:

>>You need to extract both of the executables in the same directory with 
>>the -o -d switches.
>>    
>>
>
>That was the missing piece of information!
>
>All done. The netscape based install worked fine. Because it did, I didn't
>try the CID install.
>
>Thanks to all for the help.
>
>-Chris
>  
>
Hi Chris,
Glad to help.  That particular installation was my first CID experience. 
 Having done it I think I'll use that method for all future installs 
where it's an option.
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------

----------------------------------------------------------------------------------